# AppendIterator::append

(PHP 5 >= 5.1.0, PHP 7)

AppendIterator::append — Appends an iterator

### Description

public AppendIterator::append ( Iterator `$iterator` ) : void

Appends an iterator.

### Parameters

`iterator`

  The iterator to append.

### Return Values

No value is returned.

### Examples

Example #1 AppendIterator::append() example

`<?php
$array_a = new ArrayIterator(array('a', 'b', 'c'));
$array_b = new ArrayIterator(array('d', 'e', 'f'));
$iterator = new AppendIterator;
$iterator->append($array_a);
$iterator->append($array_b);
foreach ($iterator as $current) {
echo $current;
}
?>`

The above example will output:

    abcdef

### See Also

- AppendIterator::__construct() - Constructs an AppendIterator